Bug 812774 - Missing dependency org.jboss.resteasy:jaxrs-api for org.jboss.resteasy:resteasy-jaxrs
Missing dependency org.jboss.resteasy:jaxrs-api for org.jboss.resteasy:restea...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: unspecified (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0.0.ER6
Assigned To: Karel Piwko
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 04:09 EDT by Karel Piwko
Modified: 2012-06-22 07:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 07:33:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8716 Major Closed Missing dependency org.jboss.resteasy:jaxrs-api for org.jboss.resteasy:resteasy-jaxrs 2013-07-23 07:52:42 EDT
JBoss Issue Tracker RESTEASY-695 Major Closed Align resteasy-jaxrs dependencies with EAP 2013-07-23 07:52:42 EDT

  None (edit)
Description Karel Piwko 2012-04-16 04:09:06 EDT
Tracking bug for non-complete dependency tree for RESTEasy-jaxrs.

Although RESTEasy is not a part of WFK testing effort, we reuse this project to test Hibernate Search.
Comment 1 JBoss JIRA Server 2012-04-19 16:04:04 EDT
Shelly McGowan <smcgowan@redhat.com> made a comment on jira JBPAPP-8716

It is intentional to use the org.jboss.spec APIs for the products.   So this is fixed on the product side (AS7-212).
Comment 2 JBoss JIRA Server 2012-04-23 19:35:42 EDT
Bill Burke <bill@jboss.org> made a comment on jira RESTEASY-695

I thought the Resteasy project was going to own the API code/jar?  This is important IMO.  Is this just a name change you want?
Comment 3 JBoss JIRA Server 2012-04-24 07:39:00 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira RESTEASY-695

According to the related EAP issue, I'm convinced that it is not necessary to have fixed on the community side. 

It is enough if Resteasy in EAP uses org.jboss.spec API instead of community bundled one. 
Feel free to reject if you don't want to depend on spec API in community.
Comment 4 JBoss JIRA Server 2012-04-24 09:07:46 EDT
Weinan Li <weli@redhat.com> made a comment on jira RESTEASY-695

The jboss-jaxrs-api_1.1_spec should be used in EAP instead of in community project.
Comment 5 JBoss JIRA Server 2012-04-24 10:36:36 EDT
Bill Burke <bill@jboss.org> made a comment on jira RESTEASY-695

IMO, EAP should not use jboss-jaxrs-api_1.1_spec.  Resteasy should own this library as spec implementations may have to be resteasy specific. But, you guys do whatever you want...You tend to do that anyways...

For example, I think I had to change implementation classloading code from the code provided by Oracle.
Comment 6 JBoss JIRA Server 2012-04-24 10:36:56 EDT
Bill Burke <bill@jboss.org> updated the status of jira RESTEASY-695 to Closed
Comment 7 JBoss JIRA Server 2012-04-24 10:36:56 EDT
Bill Burke <bill@jboss.org> made a comment on jira RESTEASY-695

Resteasy should own the specification API.
Comment 8 JBoss JIRA Server 2012-04-25 05:02:11 EDT
Vladimir Dosoudil <dosoudil@redhat.com> made a comment on jira JBPAPP-8716

Added [relocation of jaxrs-api|http://git.app.eng.bos.redhat.com/?p=jboss/jboss-component-management.git;a=commit;h=857f1c1405cd11108cff259bb571816c25daf38f] to JBoss Component Management.
Please wait with rebuilding EAP BOMs and resteasy until ER6 released!
Comment 9 JBoss JIRA Server 2012-04-25 10:43:04 EDT
David Lloyd <david.lloyd@redhat.com> made a comment on jira JBPAPP-8716

EAP must use the same API as community.  If EAP requires a different API JAR, for some technical reason, then the change should be made in community first.
Comment 10 JBoss JIRA Server 2012-04-25 11:05:24 EDT
Jason Greene <jason.greene@jboss.com> made a comment on jira JBPAPP-8716

There was a recent discussion on the core about this. Bill wants to maintain his own version of the RestEASY APIs. We override this in AS (and EAP) to point to: org.jboss.spec.javax.ws.rs
Comment 11 JBoss JIRA Server 2012-04-25 11:05:48 EDT
Jason Greene <jason.greene@jboss.com> made a comment on jira JBPAPP-8716

There was a recent discussion on the core about this. Bill wants to maintain his own version of the JAX-RS APIs in RESTEasy. We override this in AS (and EAP) to point to: org.jboss.spec.javax.ws.rs
Comment 12 JBoss JIRA Server 2012-05-02 11:15:08 EDT
Weinan Li <weli@redhat.com> made a comment on jira JBPAPP-8716

RESTEasy 2.2.3-redhat-1 will fix this one, which will goes into ER7.
Comment 13 Karel Piwko 2012-05-11 11:33:33 EDT
This will be fixed in EAP6 ER8.
Comment 14 JBoss JIRA Server 2012-05-16 17:46:41 EDT
Paul Gier <pgier@redhat.com> updated the status of jira JBPAPP-8716 to Resolved
Comment 15 JBoss JIRA Server 2012-05-16 17:46:41 EDT
Paul Gier <pgier@redhat.com> made a comment on jira JBPAPP-8716

ER8 includes resteasy 2.3.3.Final-redhat-1
Comment 16 Karel Piwko 2012-05-22 02:28:00 EDT
Rescheduled to WFK 2.0.0.ER6, external dependency on EAP 6.0.0.ER8.
Comment 17 JBoss JIRA Server 2012-06-04 06:34:29 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira JBPAPP-8716

This was fixed by replacing with 

<dependency>
    <groupId>org.jboss.spec.javax.ws.rs</groupId>
    <artifactId>jboss-jaxrs-api_1.1_spec</artifactId>
    <version>1.0.1.Final</version>
</dependency>
Comment 18 JBoss JIRA Server 2012-06-04 06:34:40 EDT
Karel Piwko <kpiwko@redhat.com> updated the status of jira JBPAPP-8716 to Closed
Comment 19 Karel Piwko 2012-06-04 07:10:38 EDT
Verified in EAP ER8.
Comment 20 Karel Piwko 2012-06-22 07:33:44 EDT
This is in upstream issue in EAP. Closing as currentrelease.

Note You need to log in before you can comment on or make changes to this bug.